Main Page Widgets glibmm Namespaces Book

# Glib::Glib::Value< unsigned char > Class Template Reference
[Generic Values]

Inheritance diagram for Glib::Glib::Value< unsigned char >:

[legend]

List of all members.

## Public Types

typedef unsigned char | CppType
typedef guchar | CType

## Public Member Functions

void | set (unsigned char data)
unsigned char | get () const

## Static Public Member Functions

static GType | value_type () G_GNUC_CONST

### template<>
class Glib::Glib::Value< unsigned char >

## Member Typedef Documentation

typedef unsigned char Glib::Glib::Value<unsigned char>::CppType

typedef guchar Glib::Glib::Value<unsigned char>::CType

## Member Function Documentation

static GType Glib::Glib::Value< unsigned char >::value_type | ( |  | ) | `[static]`

void Glib::Glib::Value< unsigned char >::set | ( | unsigned char | data | ) |

unsigned char Glib::Glib::Value< unsigned char >::get | ( |  | ) | const

The documentation for this class was generated from the following file:

- value_basictypes.h